#!/usr/bin/perl
#$Id: processmail.pl,v 3.3 2013-10-30 19:28:30 boris Exp $
#
#
#    
#

    use Getopt::Std; 

$usage = 'processmail.pl $Revision: 3.3 $, $Date: 2013-10-30 19:28:30 $'. "\n".
"Usage: processmail.pl [-d] [-t table_file]  [-o results] \n";

require 'parameters.pl';
require 'subroutines.pl';

die $usage unless getopts('t:o:d');

$DEBUG=$opt_d;

#        .
$MINQUEST=1e99;
$MAXQUEST=-1;
for (my $r=1; $r<=$ROUNDS; $r++) {
    if ($MINQUEST>$MINQUEST[$r]) {
	$MINQUEST=$MINQUEST[$r];
    }
    if ($MAXQUEST<$MAXQUEST[$r]) {
	$MAXQUEST=$MAXQUEST[$r];
    }
}
if ($MINQUEST < 0 || $MAXQUEST < 0) {
   die "    !\n";
}


my %teams;
my @answers;
#
#   
#
if ($opt_t)
{
    die "Cannot open $opt_t\n" unless open(INFILE,$opt_t);
    readhash(\@answers);
    close(INFILE);
}

#
#      ޣ
#
for (my $r=1; $r<=$ROUNDS; $r++) {
    foreach my $file ( @{$FILES[$r]} ) {
	open (INFILE, $file);
	readmail(\%teams);
	collect_answers(\%teams,\@answers);
	close (INFILE);
    }
}

#
#     .
#
if ($opt_o)
{ 
    die "Cannot open $opt_o\n" unless open(OUTFILE,">$opt_o");
    select OUTFILE;
}
for ($i=$MINQUEST;$i<=$MAXQUEST;$i++)
{
    foreach $symbol ('+','-','?')
    {
	dumphash(\%teams,\@answers,$i,$symbol);
    }
}
print "***\n";

#
#          .
#
check_dup_numbers(\%teams);
